Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteTaskAuditor

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteTaskAuditor

extends java.rmi.Remote

Method Summary
`void` | `addTaskCatalog(java.lang.String taskID, java.lang.String catalogName)`
`java.lang.String` | `generateTaskID()`
`java.util.List<AuditTaskRecord>` | `getAllAuditTasks()`
`java.util.List<AuditTaskRecord>` | `getAllAuditTasks(long beginTime, long endTime)`
`java.util.List<AuditTaskRecord>` | `getFailedAuditTasks()`
`java.util.List<AuditTaskRecord>` | `getFailedAuditTasks(long beginTime, long endTime)`
`java.util.List<AuditTaskRecord>` | `getFinishedAuditTasks()`
`java.util.List<AuditTaskRecord>` | `getFinishedAuditTasks(long beginTime, long endTime)`
`java.util.List<AuditTaskRecord>` | `getRunningAuditTasks()`
`java.util.List<AuditTaskRecord>` | `getRunningAuditTasks(long beginTime, long endTime)`
`java.util.List<AuditTaskRecord>` | `getWaitingAuditTasks()`
`java.util.List<AuditTaskRecord>` | `getWaitingAuditTasks(long beginTime, long endTime)`
`void` | `refreshParametersFinished(java.lang.String taskID, long finishTime)`
`void` | `refreshParametersStarted(java.lang.String taskID, long startTime)`
`void` | `setTaskCatalog(java.lang.String taskID, java.lang.String catalogName)`
`void` | `setTaskReport(java.lang.String taskID, java.lang.String reportName)`
`void` | `taskFailed(java.lang.String taskID, long completeTime, java.lang.String failReason)`
`void` | `taskFinished(java.lang.String taskID, long completeTime, int reportPages)`
`void` | `taskParametersChanged(java.lang.String taskID, long changeTime, int reportPages, java.util.Map parameters)`
`void` | `taskStarted(java.lang.String taskID, long startRunTime)`
`void` | `taskSubmitted(java.lang.String taskID, int taskType, long submitTime, java.lang.String user, java.util.Map parameters)`

Method Detail

### generateTaskID

    java.lang.String generateTaskID()
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### taskSubmitted

    void taskSubmitted(java.lang.String taskID,
                       int taskType,
                       long submitTime,
                       java.lang.String user,
                       java.util.Map parameters)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### taskStarted

    void taskStarted(java.lang.String taskID,
                     long startRunTime)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setTaskReport

    void setTaskReport(java.lang.String taskID,
                       java.lang.String reportName)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setTaskCatalog

    void setTaskCatalog(java.lang.String taskID,
                        java.lang.String catalogName)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### addTaskCatalog

    void addTaskCatalog(java.lang.String taskID,
                        java.lang.String catalogName)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### taskParametersChanged

    void taskParametersChanged(java.lang.String taskID,
                               long changeTime,
                               int reportPages,
                               java.util.Map parameters)
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### refreshParametersStarted

    void refreshParametersStarted(java.lang.String taskID,
                                  long startTime)
                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### refreshParametersFinished

    void refreshParametersFinished(java.lang.String taskID,
                                   long finishTime)
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### taskFinished

    void taskFinished(java.lang.String taskID,
                      long completeTime,
                      int reportPages)
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### taskFailed

    void taskFailed(java.lang.String taskID,
                    long completeTime,
                    java.lang.String failReason)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getAllAuditTasks

    java.util.List<AuditTaskRecord> getAllAuditTasks()
                                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getAllAuditTasks

    java.util.List<AuditTaskRecord> getAllAuditTasks(long beginTime,
                                                     long endTime)
                                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getWaitingAuditTasks

    java.util.List<AuditTaskRecord> getWaitingAuditTasks()
                                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getWaitingAuditTasks

    java.util.List<AuditTaskRecord> getWaitingAuditTasks(long beginTime,
                                                         long endTime)
                                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getRunningAuditTasks

    java.util.List<AuditTaskRecord> getRunningAuditTasks()
                                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getRunningAuditTasks

    java.util.List<AuditTaskRecord> getRunningAuditTasks(long beginTime,
                                                         long endTime)
                                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFinishedAuditTasks

    java.util.List<AuditTaskRecord> getFinishedAuditTasks()
                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFinishedAuditTasks

    java.util.List<AuditTaskRecord> getFinishedAuditTasks(long beginTime,
                                                          long endTime)
                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFailedAuditTasks

    java.util.List<AuditTaskRecord> getFailedAuditTasks()
                                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFailedAuditTasks

    java.util.List<AuditTaskRecord> getFailedAuditTasks(long beginTime,
                                                        long endTime)
                                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD